Bug 1254018 - should BuildRequire: g++
should BuildRequire: g++
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: squid (Show other bugs)
7.1
x86_64 Linux
unspecified Severity medium
: rc
: ---
Assigned To: Luboš Uhliarik
Martin Frodl
: EasyFix, Patch
Depends On:
Blocks: 1295396
  Show dependency treegraph
 
Reported: 2015-08-16 15:25 EDT by Brian J. Murrell
Modified: 2016-11-03 17:15 EDT (History)
4 users (show)

See Also:
Fixed In Version: squid-3.5.10-1.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1301014 1301020 (view as bug list)
Environment:
Last Closed: 2016-11-03 17:15:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian J. Murrell 2015-08-16 15:25:02 EDT
Description of problem:
Should have a BuildRequires: g++

Version-Release number of selected component (if applicable):
3.3.8-12

How reproducible:
100%

Steps to Reproduce:
1. Install SRPM in a minimal system
2. yum-builddep .../squid.spec
3. rpmbuild -bb .../squid.spec
 

Actual results:
Fails to build because g++ is not installed.

Expected results:
yum-builddep should result in g++ being installed, resulting in a successful build.

Additional info:
Comment 3 Luboš Uhliarik 2015-09-04 04:10:40 EDT
Confirmed, g++ will be added to BuildRequires.
Comment 10 errata-xmlrpc 2016-11-03 17:15:57 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2600.html

Note You need to log in before you can comment on or make changes to this bug.